import { AbstractMermaidTokenBuilder as n, __name as r, MermaidGeneratedSharedModule as i, RadarGeneratedModule as u, CommonValueConverter as l } from "./chunk-FPAJGGOC.js";
import { EmptyFileSystem as s } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/workspace/file-system-provider.js";
import { inject as o } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/dependency-injection.js";
import { createDefaultSharedCoreModule as c, createDefaultCoreModule as m } from "../../../../../../../langium@3.3.1/node_modules/langium/lib/default-module.js";
var e, p = (e = class extends n {
  constructor() {
    super(["radar-beta"]);
  }
}, r(e, "RadarTokenBuilder"), e), v = {
  parser: {
    TokenBuilder: /* @__PURE__ */ r(() => new p(), "TokenBuilder"),
    ValueConverter: /* @__PURE__ */ r(() => new l(), "ValueConverter")
  }
};
function R(d = s) {
  const a = o(
    c(d),
    i
  ), t = o(
    m({ shared: a }),
    u,
    v
  );
  return a.ServiceRegistry.register(t), { shared: a, Radar: t };
}
r(R, "createRadarServices");
export {
  v as RadarModule,
  R as createRadarServices
};
